Skip to main content
GET
/
v2
/
orgs
/
usage
List Partner Usage
curl --request GET \
  --url https://api.catenatelematics.com/v2/orgs/usage \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "usage_month": "2023-12-25",
      "entity_type": "<string>",
      "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_call_in_month": "2023-11-07T05:31:56Z",
      "latest_call_in_month": "2023-11-07T05:31:56Z",
      "rest_api_count": 123,
      "webhook_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

year
integer | null

Filter by calendar year (e.g. 2026).

Required range: 2000 <= x <= 2100
month
integer | null

Filter by calendar month (1-12).

Required range: 1 <= x <= 12
entity_type
string | null

Filter by entity type (e.g. vehicle, driver).

partner_id
string<uuid> | null

Filter by partner ID. Admin only — ignored when called by a partner.

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
PartnerMonthlyUsageRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page